#### D.13.6.35 groebnerCone

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  groebnerCone(I,w); I ideal or poly, w intvec or bigintmat

Assume:
  I a reduced standard basis and w contained in the maximal Groebner cone

Return:
  cone, the Groebner cone of I with respect to w

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = cyclic(3);
    option(redSB);
    ideal stdI = std(I);
    // w lies in the interior of a maximal Groebner cone
    intvec w = 3,2,1;
    cone CwI = groebnerCone(stdI,w);
    print(rays(CwI));
    // v lies on a facet of a maximal Groebner cone
    intvec v = 2,1,0;
    cone CvI = groebnerCone(stdI,v);
    print(rays(CvI));
    // v lies on a ray of a maximal Groebner cone
    intvec u = 1,1,1;
    cone CuI = groebnerCone(stdI,u);
    print(rays(CuI));

User manual for Singular version 4.4.1, 2025, generated by texi2html.